aboutsummaryrefslogtreecommitdiff
path: root/dotfiles/.local/bin/ddquakemite
diff options
context:
space:
mode:
Diffstat (limited to 'dotfiles/.local/bin/ddquakemite')
-rwxr-xr-xdotfiles/.local/bin/ddquakemite10
1 files changed, 5 insertions, 5 deletions
diff --git a/dotfiles/.local/bin/ddquakemite b/dotfiles/.local/bin/ddquakemite
index f449a5f..8760e14 100755
--- a/dotfiles/.local/bin/ddquakemite
+++ b/dotfiles/.local/bin/ddquakemite
@@ -1,13 +1,13 @@
#!/bin/sh
-if ! [ -z "$(swaymsg -t get_tree | grep 'quakemite')" ]; then
- if [ -z "$(swaymsg -t get_tree | grep -A 46 'quakemite' | tail -n 1 | grep 'true')" ]; then
- swaymsg '[title="quakemite"] scratchpad show'
+if ! [ -z "$(swaymsg -t get_tree | grep 'ddterminal')" ]; then
+ if [ -z "$(swaymsg -t get_tree | grep -A 46 'ddterminal' | tail -n 1 | grep 'true')" ]; then
+ swaymsg '[title="ddterminal"] scratchpad show'
else
- swaymsg '[title="quakemite"] move scratchpad'
+ swaymsg '[title="ddterminal"] move scratchpad'
fi
else
- $TERMINAL -t "quakemite" -e "$SHELL -c 'TERM=xterm-256color; TERMINAL=termite; tmux -f "$HOME/.config/tmux/tmux.conf" a || tmux -f "$HOME/.config/tmux/tmux.conf"'" &
+ $TERMINAL -t "ddterminal" -e tmuxatt &
sleep 0.2s
currenty=$(swaygetcurrentwindow | cut -d ' ' -f1 | cut -d ',' -f2 )
let moveup=$currenty-25